                                                         Welcome to Quick Menus
                                                                      Chapter 1










Introduction         Quick Menus is an easy to use, efficient hard disk menu
                     system that will make your IBM compatible personal
                     computer easier, faster, and more fun to use by allowing
                     you to set up menus to execute all the DOS commands that
                     you use to run a program.  Now, you do not have to worry
                     about how to use DOS; rather, you can concentrate on being
                     more productive with your computer by learning your
                     primary applications, such as a word processor or
                     spreadsheet program.

                     Quick Menus includes many features which will make using
                     your computer easier and more useful.  These include:

                     -  Password protection for any program.

                     -  Use 26 programs by pressing just one key, or up to 676
                        programs with two keys!

                     -  Usage Reporting, which allows you to keep track of who
                        is using the computer, for how long, and with what
                        programs.

                     -  The ability to change the colors to suit your own
                        tastes.

                     -  Encrypt files so that others cannot use them.

                     Quick Menus works by allowing you to assign each program
                     you use to a key on the keyboard.  After you are done
                     setting up, all you have to do is press one letter, just
                     one key, and you are brought into the program.

System               Quick Menus requires a IBM PC, XT, AT, 386, or
Requirements         compatible computer with a minimum of 192K RAM, one floppy
                     disk drive, and a hard disk drive.  A printer is required
                     if you want to use the Usage Reporting feature to print
                     reports.

                     Quick Menus itself occupies about 10K of RAM during
                     execution, and about 160K of space on your hard disk.


Quick Menus Files    Quick Menus  comes with  six files  on a  single  floppy
                     disk.  These files are:

                          INSTALL.EXE                     QM20.EXE
                          QM.EXE                          CLEAR.EXE
                          QM.HLP                          FILELIST.QM2

How To Use           We suggest that you read through the next two chapters
This Manual          to learn how to set up Quick Menus on your computer.  As
                     you need to use some of the more advanced tools of Quick
                     Menus, use chapters 4 and 5 as references for how to use
                     Quick Menus.  Chapter 6 describes how to use the Setup
                     utility, where you can change the way Quick Menus acts.
                     Chapters 7 through 10 are devoted to more advanced topics:
                     Menu Overlays, Usage Reporting, File Encryption, and the
                     DOS Menu.  Chapter 11 describes some of the advanced
                     features of Quick Menus.  Refer to the last five chapters
                     as the need arises.

Keyboard             When reading through this manual, it is necessary to
Conventions          describe when to hit certain keys.  This is described in
                     the manual with a small picture that looks like the key
                     you are to hit.  For example, if you are to press the
                     letter A, the manual will say: "Press [Key: A]".

                     One key that is used often in Quick Menus is the Enter
                     key; this key is also sometimes referred to as the Return
                     key, or sometimes it is simply labeled with a picture of a
                     arrow pointing to the left with a bent line to its right.
                     In any case, this key is always located two or three keys
                     to the right of the letter L on the keyboard, and it is
                     normally one of the larger keys on the keyboard.

                     When you are to press Enter, the manual will use the key
                     picture [Key: Enter], no matter what the key looks like on
                     your keyboard.



                                                                   Installation
                                                                      Chapter 2










Introduction         In the process of installation, you will be setting up
                     Quick Menus for your computer.  The following sections
                     describe each step of installation.

Creating a Backup    The first step you should follow is to create a backup
Disk                 of the original Quick Menus disk so that you may place the
                     original in a safe place.  You will use the copy that you
                     make to install Quick Menus on your computer.

                     To make the backup disk, start your computer, and type the
                     following from DOS:

                          DISKCOPY A: A: [Key: Enter]

                     When you type this, you will be asked to put the original
                     disk in drive A:.  Do so, and then press [Key: Enter].
                     After a few seconds, the copying will pause and you will
                     be asked to insert the destination diskette.  Put a blank
                     disk in the disk drive and press [Key: Enter].  Another
                     few seconds will pass, and you will be asked to put the
                     original disk in again.  Do so and press [Key: Enter].
                     Continue this swapping process until the copying is
                     complete.

                     You now have an exact copy of your original Quick Menus
                     diskette.  Put the original disk in a safe place and use
                     the copy you just made for putting Quick Menus on your
                     computer.

Starting             Now that you have created the backup disk, you are going
Installation         to do the real setup of Quick Menus.  Put the disk you
                     just made in the floppy disk drive (A:) and type:

                          A: [Key: Enter]
                          INSTALL [Key: Enter]
 
                     You have now started the install program.  This program
                     takes the disk you just made and puts the files onto your
                     hard disk.

                     When the install program starts up, you will be greeted by
                     this screen:


                     You must decide what drive and directory Quick Menus is
                     going to be copied to.  On almost every computer, you will
                     simply want to press [Key: Enter] by itself at this prompt
                     to accept the default answer.  If you are certain you want
                     to change the drive and directory that Quick Menus uses,
                     then type the new "path" and press [Key: Enter] when you
                     are done.

                     Next, the following screen will come up simply asking you
                     to press [Key: Enter] to start copying the files to your
                     hard disk.  Press [Key: Enter] when you see this screen,
                     or if, for whatever reason, you don't want to copy the
                     files, press the key labeled [Key: Esc].


                     The files for Quick Menus will now be copied to your hard
                     disk.  When the files are done being copied, the following
                     message will appear:


You're Done!         You have now completed all that is necessary to put Quick
                     Menus on your computer.  To start Quick Menus, as is shown
                     on-screen, all you need to do is type the letters QM and
                     press [Key: Enter].  Please note that your computer setup
                     has also been automatically modified so that Quick Menus
                     runs every times your computer starts up.  You are ready
                     to start using Quick Menus!


                                                             Quick Menus Basics
                                                                      Chapter 3










Starting Quick       After you have installed Quick Menus, it will run
Menus                automatically every time you start your computer.  If you
                     have just finished installing Quick Menus (as described in
                     the previous chapter), all you must do is type QM and
                     press [Key: Enter].

                     Quick Menus will now come up on your screen.  If you are
                     using Quick Menus for the first time, you will not have a
                     menu set up; thus, a message saying "No menu set up" will
                     appear in the middle of the screen.  You are now ready to
                     start using Quick Menus!

The Main Screen      When you first start Quick Menus, the first thing you
                     will see is the main screen.  The screen will be boxed,
                     and the last line will show the time and date, as well
                     as the meanings of several of the keys on the keyboard.

                     On this screen, you will put all the "menu entries".
                     Menu entries are any program that you want to put on the
                     menu; e.g. Lotus 1-2-3, WordPerfect, dBase III, etc.

                     When you start using Quick Menus for the first time
                     should look like this:


Getting Help         At  any time  while using Quick Menus, you can always
                     get help on the screen, without having to use the manual.
                     Simply press [Key: F1], and a window of help will appear
                     on the screen.

                     Press [Key: PgUp] and [Key: PgDn] to scroll through the
                     different pages of help.  When you are ready to leave
                     help, press [Key: Esc].  You will then be brought back to
                     the exact point you were at before getting help.

                     A sample help screen looks like this:


                     If you press [Key: F1] from within help, you will be
                     presented with a help index which shows you all the major
                     topics in Quick Menus; for example, if you want to find
                     out how to use setup, call up the help index, highlight
                     Setup, and press [Key: Enter]; information on Setup will
                     then be displayed.  The help index looks like this:


Alt Key Help         In Quick Menus, the [Key: Alt] key, when used with the
                     letter keys, is used to access many of the features of
                     Quick Menus.  To see what the definitions of these
                     combinations are, simply hold down the [Key: Alt] key and
                     press [Key: F1].  When you are finished looking at the
                     information, press any key.


Quick Menus          To see a window showing the current version and other
Information          information about Quick Menus, hold down the [Key: Shift]
                     key and press [Key: F1].  To leave this window, press any
                     key.  This manual is written for version 2.00 of Quick
                     Menus.


Leaving              To leave Quick Menus, press [Key: Esc].  You will then
Quick Menus          be brought back into DOS.

                     You have the option, which is described in the section
                     about Setup, to have Quick Menus ask for confirmation
                     before exiting to DOS.  In addition, you can also make the
                     user enter a password before exiting to DOS, and you can
                     have Quick Menus park your computer's hard disk as you
                     leave.  All of these options are described in the section
                     about setup.

                     The option to have Quick Menus park your hard disk is on
                     by default; therefore, when this "parking" takes place,
                     you will see the following screen:


                     Please shut off the computer now, or press any key to
                     return to DOS.


                     At this point, turn off the computer if you are done with
                     it, or press any key, and you will be brought to DOS when
                     you can continue to work.


The Esc Key          The [Key: Esc] key is used to leave any area of Quick
                     Menus that you are in.  If you ever want to get out of
                     something in Quick Menus, no matter what you are doing,
                     press [Key: Esc].

What is a Window?    Windows are used extensively in Quick Menus.  A window
                     is any box put on the screen used to get your attention.
                     For example, whenever you ask for help, a window appears
                     that covers the right hard side of the screen.  Windows
                     are the way that Quick Menus gives you information and
                     allows you to give it commands.

Add/Change           To add or change a menu entry, press [Key: Alt]-
Menu Entry           [Key: A]; that is, hold down the [Key: Alt] key and press
                     the [Key: A] key.  This will bring up the following window
                     on the screen:


                     You must now choose what key to put the program on.  It
                     is best to choose a letter that will be easy to remember
                     and use; for example, "W" for WordPerfect or "L" for Lotus
                     1-2-3.  Simply press the key that you want the program to
                     be on; you do not need to press [Key: Enter].

                     Now, this new window will appear in the middle of the
                     screen:


                     Now you must decide if this menu entry is going to be a
                     command or a submenu.  A command is any program, such as
                     Lotus 1-2-3 or WordPerfect;  a submenu leads from the main
                     menu to another menu; for example, you might have a
                     submenu of hard disk utilities.

                     If you want this entry to be a command, press [Key: C]; if
                     you want it to be a submenu, press [Key: S].

Adding a Command     Once you decide to add a command, as described above, you
                     are ready to give Quick Menus all the information it
                     needs. A window appear that looks like this:


                     Quick Menus only needs two pieces of information to put
                     a command on a menu: the "Entry Name" and the "Command".

                     You can move about this "fill in the blanks" form using
                     the up and down arrow keys.  When you are done filling out
                     the form, press [Key: F10].

                     Each of these pieces of information that you can enter
                     will now be described.  They will be followed by two
                     examples.

Entry Name           Type the name of the command as you want it to appear on
                     the menu, such as "Lotus 1-2-3" or "WordPerfect", and
                     press [Key: Enter].

Drive/Directory      Type the name of drive and directory where this program
                     is to be run from and press [Key: Enter].  This might be
                     "C:\LOTUS" or "D:\WP".  You are not required to enter
                     anything in this area.

Command(s)           Type the command that starts the program, such as
                     "LOTUS" or "WP", and press [Key: Enter].  Type what you
                     would if you were starting the program from DOS. You may
                     also use DOS batch files (extension .BAT) and DOS internal
                     commands (such as DIR or TYPE).  Anything you can run from
                     DOS you can run from Quick Menus.  You can enter up to ten
                     commands in the blanks provided.

Parameter Cmd #      A parameter consists of any information passed to a
                     program from DOS.  For example, in WordStar, you can type
                     from DOS:


                          WS SAMPLE.DOC [Key: Enter]


                     where "SAMPLE.DOC" is the parameter. After typing this,
                     WordStar will bring up SAMPLE.DOC for editing.

                     You have the option of Quick Menus asking you for
                     parameters.  When you turn this option on, Quick Menus
                     will ask you to type in the parameters to pass to the
                     program just before it is run.

                     As described previously, you can have as many as ten
                     commands in any menu entry.  Because of this, you must
                     decide which of the ten commands is going to be sent the
                     parameter.  The Parameter Cmd# option tells which of the
                     ten commands to send the parameter to.


Pause for Floppy     If you want Quick Menus to prompt you to insert a
                     floppy disk, press [Key: Y]; otherwise, type [Key: N].  To
                     leave the choice unchanged, press [Key: Enter].

                     This is useful if your program requires a "key" disk while
                     using a hard disk, such as Lotus 1-2-3 Ver. 1A.

Pause on Exit        If you want Quick Menus to pause when it finishes
                     running a program, type [Key: Y]; otherwise, type [Key: N]
                     .  To leave the choice unchanged, press [Key: Enter].

                     This is useful for programs such as "DIR" or "CHKDSK" that
                     display information quickly in DOS and then end.

Take Parameters      If you want Quick Menus to prompt you for program
                     parameters, type [Key: Y]; otherwise, type [Key: N].  To
                     leave the choice unchanged, press [Key: Enter].

                     The use of parameters is described in the section called
                     "Parameter Cmd #".

Password             Now you must decide if you want to password protect this
                     program.  Any program can be password protected.  If you
                     do, simply type the password you want to assign and press
                     [Key: Enter]; otherwise, just press [Key: Enter].

                     Remember that any time that you adding a sub-menu or a
                     command, you may press [Key: Esc] and all of your changes
                     will be abandoned.

                     When you are finished filling out all the information you
                     need to, press [Key: F10]. Once you do this, the
                     following window will appear:


                     Once you have read this message, press any key.  The
                     window will disappear, and the cursor will be in the upper
                     right hand corner of the screen.  Move the cursor around
                     until it is where you want the menu entry to be and press
                     [Key: F10].  You are now done adding the menu entry!

Adding a Command:    The following section gives two examples of how you use
2 Examples           the features of Quick Menus to add programs to a menu.

                     First, let's add WordPerfect to a menu. Start the adding
                     process as you normally would.  In the case of
                     WordPerfect, the Entry Name would be "Word Perfect".

                     The drive/directory would be wherever on your hard disk
                     WordPerfect is located; it is probably something like
                     "C:\WP".

                     There is only one command; it is simply "WP".  Now, skip
                     all the way down to the "Parameter Cmd#" space.  Put a 1
                     in that space.  Now move to the "Takes Parameters" space.
                     Change that to yes by pressing [Key: Y].  Press [Key: F10]
                     when you are done, and position the entry as described
                     above.

                     Next, let's add the DOS CHKDSK command, which tells how
                     much free space is on the hard disk.  The tricky thing
                     about the CHKDSK command is that it displays information
                     and then is done, which means that it will come right back
                     to Quick Menus. So, we must use one of the Quick Menus
                     options to pause so that we can see the results.


                     The Entry name is "DOS Check Disk", or something similar.
                     No Drive/directory is needed, because you can use CHKDSK
                     from anywhere on your hard disk.

                     The Command is "CHKDSK".  Now you can move all the way
                     down to the "Pause on Exit" area.  Change this to yes by
                     pressing [Key: Y] so that you can view the displayed
                     information before returning to Quick Menus.

Adding a Sub-Menu    Adding a submenu to a menu is easier than adding a
                     command, because only one piece of information is needed.

                     Once you choose to add a sub-menu, the following window
                     will appear:


                     The only piece of information you must enter is the Entry
                     Name.  Simply type the name of the entry, such as "Hard
                     Disk Utilities", and press [Key: Enter].  If you want to
                     enter password, do so now.

                     Press [Key: F10] when you are done.  Just as when adding a
                     command, you will now be asked to choose where the entry
                     is to be placed on the menu.


                     Once you have read this message, press any key.  The
                     window will disappear, and the cursor will be in the upper
                     right hand corner of the screen.  Move the cursor around
                     with the arrow keys until it is where you want the menu
                     entry to be and press [Key: F10].  Your submenu is done!



                                                              Using Quick Menus
                                                                      Chapter 4










Starting a           To start a program, all you have to do is press the
Program              letter you assigned it to.  For example, if you assigned
                     the letter "W" to WordPerfect, just press [Key: W]; you do
                     not need to press [Key: Enter] to start the program.

                     If the program is password protected, you will be asked
                     for the password.  You must enter the correct one to
                     continue; otherwise, you will be returned to the menu.

                     If you chose to be asked for parameters, this will now
                     occur in the Message Area. Type any parameters you want
                     and press [Key: Enter];  if you don't want any, just press
                     [Key: Enter].

                     If you chose to be asked for a floppy disk, that message
                     will appear on the screen.  Press any key when you are
                     ready, or [Key: Enter] to continue.  The program will then
                     run, and when it is done, it will return to Quick Menus.

Common Problems      There are several problems that you can encounter while
                     setting up menus.  First, you may type in a incorrect
                     Drive/directory name.  If this is the case and it does not
                     exist, an error message will be reported to you, telling
                     you the subdirectory does not exist.

                     Sometimes, if you set up a program incorrectly on a menu,
                     the program will not run.  Instead, it will flash right
                     back to the menu, leaving you wondering what happened.
                     Here are the primary causes of problems:

                     -  The most common problem is that the command that you
                         specified does not exist.  You should go back and look
                         at the setup of the command and check that you did not
                         make any typing mistakes.


                     -  There is not enough memory to run the program.  If
                         you think this may be the case, you must try to free
                         up some memory.  Memory in your system is normally
                         taken up by programs that are run from the
                         AUTOEXEC.BAT file.

                     If you just put in the information you normally type into
                     DOS into the Add/Change entry form, everything will work
                     fine.

Deleting an Entry    To delete an entry from a menu, hold down the [Key: Alt]
                     key and press [Key: L].  A window will appear asking
                     which entry you wish to delete.  Press the letter of the
                     entry you want to take off the menu; for example, press
                     [Key: W] if you want to take WordPerfect off the menu
                     (assuming you have added it previously).  If you do not
                     want to delete any entry at this time, press [Key: Esc].

                     Once you decide which entry you want and press its letter,
                     a new window will appear:


                     Quick Menus now asks if you are sure you want to take this
                     entry off the menu; if you do, press [Key: Y]; otherwise,
                     press [Key: N].

                     If you ask Quick Menus to delete a menu entry that has not
                     been defined, it will give you this warning message:


Clear Menu           To clear  all  entries off the menu, hold down the
                     [Key: Alt] key and press [Key: C].  Now, a window will
                     appear asking you if you are sure you want to clear the
                     menu.

                     WARNING: Clearing a menu will delete ALL of its
                     entries!   Be sure you really want to clear a menu before
                     you do it.


                     If you press [Key: Y], all the entries will me taken off
                     the menu.  If you do not want to do this, press [Key: N].

                     If you have set up a clear menu password (as described in
                     Chapter 6), you must enter it next before being allowed to
                     continue.

                     Next, you will be asked if you want to erase the menu
                     overlay.  You may not have learned about menu overlays
                     yet, but they are described in Chapter 7.  If you don't
                     know about menu overlays, then you probably don't have
                     one.  In either case, it is safer to answer no (by
                     pressing [Key: N]) unless you are sure you do want to take
                     away the menu overlay.


Move Entry           If you just want to change the placement of a menu entry
                     on a menu, you can use the Move Entry utility.  Hold down
                     the [Key: Alt] key and press [Key: V].  A window will
                     appear asking you which entry you want to move; press its
                     letter.  If you do not want to move an entry, press
                     [Key: Esc].


                     You are now ready to move the entry you selected.  Move
                     the cursor around the screen with the arrow keys, picking
                     the place you want the entry to move to.  Press [Key: F10]
                     when you have moved to the new location.  Press [Key: Esc]
                     if you do not want to change the location of the menu
                     entry you picked.

                     If there is no entry for the letter that you press, you
                     will get the following message:


The Menu Editor      The four tools used to work with menus and menu entries
                     (Add/Change menu entry, delete entry, clear menu, and move
                     entry) are all grouped onto one menu, that can be accessed
                     by holding down [Key: Alt] and pressing [Key: E].  This
                     allows you use all four of these tools from one window.


                                                          Quick Menus Utilities
                                                                      Chapter 5










Introduction         Quick Menus provides you with a group of utilities, or
                     tools, that can enhance your productivity while Using
                     Quick Menus. Each of the utilities will be described
                     individually below.

The Utility Menu     Quick Menus provides a menu that allows you access all
                     of the Quick Menus utilities.  To get to this menu, press
                     [Key: Alt]-[Key: U].  This will bring up a menu of choices
                     that you can choose from.  Press [Key: Esc] to leave the
                     Utility Menu.


Change Time/Date     The Change Time/Date utility allows you to change the
                     system time and date of your computer.  To enter the
                     Change Time/Date utility, press [Key: Alt]-[Key: H]from
                     any menu or [Key: C] from the Utility Menu.  To leave the
                     Change Time/Date utility at any time, press [Key: Esc].

                     You are first offered a chance to enter the new time.  If
                     you want to keep the time the way it is, press [Key: Enter]
                      by itself; Otherwise, type in the new time, putting a ":"
                     between the hours and the minutes.  Enter the new time in
                     military format; that is, 9:05 PM is 21:05 in military
                     format.  Press [Key: Enter] when you are finished typing
                     in the time.


                     Now, similarly, you can change the date.  If you want to
                     keep the date the way it is, press [Key: Enter] by itself;
                     Otherwise, type in the new date, using dashes ("-")
                     between the month, day, and year.  Press [Key: Enter] when
                     you are done.


Computer Info        The Computer Info utility provides a summary of the
                     setup of your computer.  This is useful if someone needs
                     to know what kind of screen you have or how big your hard
                     disk is, for example.  To start the Computer Info utility,
                     press [Key: Alt]-[Key: I] from any menu or [Key: I] from
                     the Utility Menu.

                     The window of information about your computer will then be
                     displayed.  When you are done using it, press any key to
                     continue.


Memory Usage         The Memory Usage utility shows the current status of
                     the memory in your computer. This is used to determine,
                     for example, if you have enough free memory to run a
                     program that has a particular minimum requirement.

                     To start the Memory Usage Utility, press [Key: Alt]-
                     [Key: M] from any menu or [Key: M] from the Utility Menu.

                     The Memory Usage window will then be displayed.  When you
                     are ready to leave this utility, press any key.


Overlay Editor       The Overlay Editor is described fully in its own chapter,
                     chapter 7.

Printer Status       The Printer Status utility is used to determine if the
                     printer hooked up to your computer is ready to print or
                     not.  This is useful if you are in a location where you
                     cannot see your printer, or if you share a printer with
                     other computers.

                     To start the Printer Status utility, press [Key: Alt]-
                     [Key: P] from any menu or [Key: P] from the Utility Menu.

                     The status of the printer will now be displayed.  When you
                     are done viewing the status information, press any key to
                     leave.


Setup                The Setup utility is described in the next chapter,
                     chapter 6.

Timed Execution      The Timed Execution utility is used to make any
                     program on a menu run at a certain time.  This is useful
                     if you need, for example, to run an automated backup
                     procedure, and you want it to be done in the middle of the
                     night.

                     To start the Timed Execution utility, press [Key: Alt]-
                     [Key: T] or [Key: T] from the Utility Menu.  A window will
                     come up asking you what program you wish to execute and at
                     what time.  Press the key of the program you want to
                     execute.  Next, you will be asked at what time you want
                     the program to run.  Type in the time and press
                     [Key: Enter]. Enter the time in military format; for
                     example, to run a program at 9:05 PM, type in 21:05.


                     If you press a letter corresponding to a menu entry that
                     has not been defined, you will be given the following
                     error message:


                     Once you start a program in Timed Execution, you can stop
                     it at any time by pressing any key.  While the program is
                     counting down until the time it is to execute, you are
                     shown this status screen:


Usage Reporting      Usage Reporting is described fully in chapter 8.

Window to DOS        The Window To DOS utility allows you to enter DOS
                     temporarily without leaving Quick Menus.  To enter the
                     Window To DOS utility, press [Key: Alt]-[Key: W] from any
                     menu or [Key: W] from the Utility Menu. You will now enter
                     DOS.  Note that you may have to enter a password, if
                     access to DOS is password protected.  From here, you can
                     perform any function that you normally could from DOS;
                     this includes formatting disks or viewing a directory
                     listing.

                     When you are finished using the Window To DOS utility type
                     "EXIT" from the DOS prompt and press [Key: Enter].


                                                                          Setup
                                                                      Chapter 6










Starting Setup       The Setup Utility allows you to customize Quick Menus to
                     your liking.  You can change:

                     -  Colors
                     -  Passwords
                     -  Automatic Hard Disk Parking
                     -  Time & Date Display
                     -  User Tracking
                     -  and More!

                     To start the Setup Utility, press [Key: Alt]-[Key: S] from
                     any menu or [Key: S] from the Utility Menu.  A window will
                     the appear of all the Setup choices.

Setup Options        Once the Setup Menu has been displayed, simply press the
                     key of the option you would like.  For example, to change
                     the colors on your screen, press [Key: C].

                     The setup options are described in detail in the following
                     sections.


Screen Blanking      The Screen Blanking option allows Quick Menus to turn
                     your screen off after you haven't used the computer for a
                     certain length of time.  Screen Blanking will extend the
                     life of your monitor.

                     Press [Key: B] from the Setup Menu to change the Screen
                     Blanking option.  Type in the number of minutes you want
                     Quick Menus to wait before turning off your screen, or
                     type in 0 if you do not want Quick Menus to perform Screen
                     Blanking.  Press [Key: Enter] when you are done typing in
                     the number of minutes.


Colors               The Colors option of Setup allows you to change all of
                     the colors that Quick Menus uses.  Press [Key: C] from the
                     Setup Menu to start changing colors.

                     There are nine different color choices that can be changed
                     in Quick Menus.  The selections will be presented one at a
                     time with the available colors displayed on the screen.
                     For each color, type in the color number of your choice
                     and press [Key: Enter], or simply press [Key: Enter] for
                     no color change.  To leave the colors option at any time,
                     press [Key: Esc].


Display Date and     The Display Time & Date option chooses whether the
Time                 current time and date are displayed at the bottom of the
                     screen or not when you are using Quick Menus.

                     Press [Key: D] from the Setup Menu to choose the Display
                     Time/Date option.  If you want the time and date displayed
                     while you are using Quick Menus, press [Key: Y];
                     otherwise, press [Key: N].  Press [Key: Esc] to leave this
                     option without changing it.


Hard Disk Parking    The Hard Disk Parking option chooses whether Quick Menus
                     automatically parks your hard disk for your when you exit
                     Quick Menus.  Press [Key: H] from the Setup Menu to enter
                     the Hard Disk Parking option.

                     Press [Key: Y] if you want Quick Menus to automatically
                     park your hard disk every time you exit; otherwise, press
                     [Key: N]. Press [Key: Esc] to leave this option without
                     changing it.


Confirm DOS Exits    The Confirm DOS Exits option chooses whether Quick Menus
                     will ask you "Are you sure you want to exit" every time
                     you want to exit.  Press [Key: O] from the Setup Menu to
                     choose the Confirm DOS Exits option. Press [Key: Y] if you
                     want Quick Menus to ask for confirmation when exiting from
                     DOS, or [Key: N] if you do not.  Press [Key: Esc] to leave
                     this option without changing it.


Pause at Startup     The Pause at Startup option chooses whether Quick Menus
                     will pause and display the opening screen for Quick Menus
                     before continuing on to displaying your menu.  Press
                     [Key: P] from the Setup Menu to choose the Pause at
                     Startup option.  Press [Key: Y] if you want Quick Menus to
                     pause at startup, or [Key: N] if you do not.  Press
                     [Key: Esc] to leave this option without changing it.


User Logging         The User Logging option chooses whether Quick Menus will
                     keep track of the use of your computer by different
                     people.  More information can be found in Chapter 8.

                     Press [Key: U] from the Setup Menu to choose the User
                     Logging option.  Press [Key: Y] if you want Quick Menus to
                     record information for User Logging, press [Key: N] if
                     not.  Press [Key: Esc] if you want to leave this option
                     without changing it.


Exit To DOS          The Exit to DOS Command option of setup gives you the
Command              ability to execute a particular command when exiting from
                     Quick Menus.  This command is executed before the disk is
                     parked, if you are using this option.

                     Press [Key: X] from the Setup Menu to set the Exit to DOS
                     Command.  Simply type the command in the space provided.
                     If you want to leave this function without changing the
                     command, press [Key: Esc].

                     This option is most often used in systems where you need
                     to "logout" from a network.  In this case, simply type the
                     name of the logout command.


Exit To DOS          The Exit To DOS Password feature allows you to prevent
Password             users from exiting to DOS.  To choose the Exit To DOS
                     Password feature, press [Key: E] from the Setup Menu.  Now
                     type the password that you want to use to gain access to
                     DOS.  The password can be up to ten letters, including
                     spaces and any special characters.  Press [Key: Enter]
                     when are done typing in the password.  Press [Key: Esc] if
                     you want to leave this option without changing it.


Clear Menu           The Clear Menu Password feature allows you to prevent
Password             users from clearing an entire menu.  To choose the Clear
                     Menu Password feature, press [Key: M] from the Setup Menu.

                     Now type the password that you want to use to allows
                     clearing menus.  The password can be up to ten letters,
                     including spaces and any special characters.  Press
                     [Key: Enter] when are done typing in the password.  Press
                     [Key: Esc] if you want to leave this option without
                     changing it.


Setup Password       The Setup Password feature allows you to prevent users
                     from using the Setup utility.  To choose the Setup
                     Password feature, press [Key: S] from the Setup Menu. Now
                     type the password that you want to use to gain access to
                     Setup.  The password can be up to ten letters, including
                     spaces and any special characters.  Press [Key: Enter]
                     when are done typing in the password. Press [Key: Esc] if
                     you want to leave this option without changing it.


Leaving Setup        When you have made all the changes you wish to make in
                     Setup, press [Key: Esc] from the Setup.  A window will be
                     displayed asking you if you really want to exit.  From
                     here, press [Key: G] to go back to the Setup Menu, [Key: Q]
                     to leave Setup without saving the changes you made, or
                     [Key: S] to save the changes you made and leave Setup.


                                                                  Menu Overlays
                                                                      Chapter 7










Introduction         Menu Overlays are a feature of Quick Menus that allows
                     you to put more on a screen than just the menu entries
                     alone.  For example, if your company uses three word
                     processors, you could have all three on a menu, and put a
                     title above them that says "Word Processors".  You also
                     could add a company logo at the top of the menu, or put
                     instructions at the bottom.

                     To create menu overlays, you use a utility called the
                     Overlay Editor.  With the Overlay Editor, you are given
                     tools to help you make menu overlays.

Starting the         To start the Overlay Editor, press [Key: Alt]-[Key: O]
Overlay Editor       from any menu or [Key: O] from the Utility Menu.  When you
                     do this, a message is displayed telling you briefly what
                     the Overlay Editor does.  When you have finished reading
                     this message, press any key to start the Overlay Editor.
                     If you want to leave the Overlay Editor now, press
                     [Key: Esc].


Using the Overlay    When you press any key to start the Overlay Editor, the
Editor               window will disappear and the screen will look just like
                     before, except the cursor will now be on the screen. Now
                     you can move around on the screen anywhere you like,
                     putting in test anywhere simply by moving the cursor to
                     the position you want and typing in the text.

                     When you are finished typing in all the text you want,
                     press [Key: F10] to signal that you are done.  The cursor
                     will disappear, and you will be back to your menu, except
                     that now you have a menu overlay!

                     If, once you are in the Overlay Editor, you decide that
                     you do not want to add any text, or if you do not like
                     what you have created, press [Key: Esc] and all changes
                     you made will be abandoned.

Drawing Lines and    The Overlay Editor provides you with a tool to let you
Boxes                draw lines and boxes on the screen easily.  To enter line
                     drawing, press [Key: F2] while you are in the overlay
                     editor.  Now, when you move the cursor around on the
                     screen, lines will appear as you move.  Press [Key: F2] a
                     second time to end line drawing mode.

                     You can also change the type of lines that are used to
                     draw on the screen.  To change the line style, press the
                     [Key: F5] key.  You will see the change in line style
                     reflected in the sample character, which is displayed on
                     the bottom line, to the right of the "Esc Quit" label.

Changing Colors      You can change the background and foreground color of
                     any text or lines you add using the overlay editor.  You
                     do this by using two of the function keys.  [Key: F3]
                     changes the foreground color, while [Key: F4] changes the
                     background color.  To choose either color, simply press
                     the function key, select the color with the arrow keys,
                     and press [Key: Enter] when you have the correct color
                     selected.  Press [Key: Esc] if you do not want to change
                     the color.


                                                                File Encryption
                                                                      Chapter 8










Introduction         File Encryption is a utility that allows you to make any
                     DOS file unreadable by others, until it is decoded
                     (decrypted).  You simply supply a password that you want
                     to be used, and the file cannot be accessed by anyone who
                     does not know the password.  This feature would be used if
                     you have a report or other sensitive information that you
                     do not want others to be able to use.

                     To enter the File Encryption Utility, press [Key: Alt]-
                     [Key: F] from any menu or [Key: F] from the Utility Menu.
                     To leave the File Encryption utility, press [Key: Esc].


Encrypting Files     To encrypt a file (protect it), press [Key: E] from the
                     File Encryption menu.  A window will appear on the screen,
                     with two pieces of information to fill in: the name of the
                     file to encrypt and the password to be used to encrypt the
                     file.  Press [Key: Esc] if you do not want to encrypt a
                     file at this time.


                     Fill in the first blank with the name of the file to be
                     encrypted; for example, "C:\WP\PROPOSAL.LTR" or
                     "B:BUDGET.WK1". Press [Key: Enter] when you are done
                     typing in the name.  Next, type in the password that you
                     want to use to encrypt this file; press [Key: Enter] when
                     you are done typing in the password.

                     Now the file will be encrypted.  While this happens, you
                     will be shown the progress on a bar graph in a window on
                     the lower half of the screen.  When the file is done being
                     encrypted, you will be returned to the File Encryption
                     menu.


                     There are several errors that can occur while you are
                     encrypting a file.  First, if the name of the file you
                     type in to encrypt doesn't exist, you will be given this
                     message:


                     If the file name you type in is already encrypted, you
                     will get this message, preventing you from encrypting a
                     file more than once:


Decrypting Files     To decrypt a file (unprotect it), press [Key: D] from the
                     File Encryption menu.  A window will appear on the screen,
                     with two pieces of information to fill in: the name of the
                     file to decrypt and that was used to encrypt the file.
                     Press [Key: Esc] if you do not want to decrypt a file at
                     this time.


                     Fill in the first blank with the name of the file to be
                     decrypted; for example, "C:\WP\PROPOSAL.LTR" or
                     "B:BUDGET.WK1". Press [Key: Enter] when you are done
                     typing in the name.  Next, type in the password that was
                     used to encrypt this file; press [Key: Enter] when you are
                     done typing in the password.


                     Now the file will be decrypted.  While this happens, you
                     will be shown the progress on a bar graph in a window on
                     the lower half of the screen.  When the file is done being
                     decrypted, you will be returned to the File Encryption
                     menu.


                     There are several errors that can occur while you are
                     encrypting a file.  First, if the name of the file you
                     type in to decrypt doesn't exist, you will be given this
                     message:


                     If the password you type in is not correct (that is, not
                     the same one as was used to encrypt the file), this
                     message will be displayed:


                     Finally, if the file you ask to decrypt has not been
                     previously encrypted, you will get this message:


                                                                Usage Reporting
                                                                      Chapter 9










Introduction         Usage reporting in Quick Menus allows you to keep track
                     of who uses the com, for how long, and using what
                     programs.  To use usage reporting, you must first turn on
                     the "User Logging" option in the Setup utility.  See
                     chapter 6 for more information.

                     Once you have turned this option on, you will be asked to
                     type in your user name when you first turn on the computer
                     and start Quick Menus.  All you need to do is type your
                     name in the blank and press [Key: Enter].  You do this in
                     a window that looks like the one shown below.


                     If a new user comes to use the computer, he or she should
                     type in their name to notify Quick Menus that the user has
                     changed.  To do this, press [Key: F3].  A window will come
                     up that looks very much like the one shown above, asking
                     you to type in a new user name.  Do so and press
                     [Key: Enter].  If you do not want to change the user name
                     at this time, press [Key: Esc].


Starting Usage       To start the Usage Reporting utility, press [Key: Alt]-
Reporting            [Key: R] from any menu or [Key: U] from the Utility Menu.
                     A window will then be displayed, showing the options you
                     have from Usage Reporting.  Press [Key: Esc] to leave
                     Usage Reporting.


Report Type          Two types of reports are available in the Usage Reporter;
                     single user and all users. To change the Report type,
                     press [Key: R] from the Usage Reporting menu.  To report
                     on all users, press [Key: A].  To report on just one user,
                     press [Key: O].  To leave this option without changing it,
                     press [Key: Esc].


Sort Type            You can sort your report in three different ways: by
                     program name, user name, and date.  To change the sort
                     type, press [Key: S] from the Usage Reporting menu.

                     To sort by date, press [Key: D].  To sort by program name,
                     press [Key: P].  To sort by user name, press [Key: U].  To
                     leave the sort type unchanged, press [Key: Esc].


Title                You have the option in Usage Reporting of putting a title
                     on the report, which will appear on each page of the
                     report.  To change the title, press [Key: T] from the
                     Usage Reporting menu.

                     A window will appear showing what the title currently is.
                     Type in the new title and press [Key: Enter], or press
                     [Key: Esc] to leave the title unchanged.


Print Report         To print the report, press [Key: P] from the Usage
                     Reporting menu.  The report will then start printing.  A
                     message will be displayed on the screen reporting that
                     printing is currently in progress.  Once the report is
                     done printing, you will be returned to the Usage Reporter
                     menu.


                                                                       DOS Menu
                                                                     Chapter 10










Introduction         The DOS Menu gives easy access to DOS and its basic
                     functions inside of Quick Menus. The options are:

                     -  Display a directory
                     -  Format a disk
                     -  Display the free space on a disk

                     Press [Key: Alt]-[Key: D] to access the DOS Menu.  A
                     window will be displayed showing your options.  Press
                     [Key: Esc] to leave the DOS Menu.


Directory            The Directory option of the DOS Menu gives a directory
                     listing of all the files in the directory you are
                     currently in.  Press [Key: D] from the DOS Menu you start
                     the Directory option.

                     A window will appear asking what you want a directory
                     of.  Use this just as you would the DOS DIR command; if
                     you want to get a directory like "DIR .BAK", type .BAK
                     in the blank.  Press [Key: Enter] when you are done, and
                     the directory will be displayed.  If you do not want to
                     see a directory at this time, press [Key: Esc].


Format Disk          The Format Disk option of the DOS Menu allows you to
                     format a disk; that is, clear it off completely and make
                     it ready for use.  To start the Format Disk option, press
                     [Key: F] from the DOS Menu.


                     A window will then be displayed asking which drive you
                     want to format.  Press the letter of the drive you want to
                     format; e.g. [Key: A] for the first floppy drive, etc.
                     Press [Key: Esc] now if you do not want to format a disk.


                     Next, you will be asked if you want to format this
                     disk with the system.  Formatting a disk with the system
                     means that it will be able to start the computer once
                     formatted.  Formatting a disk with the system is not
                     necessary if you are trying to make a disk to store
                     data.  Press [Key: Y] to format the disk with the
                     system, or [Key: N] to not put on the system. Press
                     [Key: Esc] now if you do not want to format a disk.


                     Finally, you will be given a warning that formatting a
                     disk will erase everything that it is on the disk.  Make
                     sure that you do want to format the disk.  If you do,
                     press [Key: Y]; otherwise, press [Key: N].  If you
                     choose [Key: Y], the disk will then be formatted for
                     you.


Space Free on        The Space Free on Disk option of the DOS Menu will show
Disk                 how much space is free on any disk drive.  To access this
                     option, press [Key: S] from the DOS Menu.  You will then
                     be asked which drive you want to find the free space on.
                     Press the letter of the drive to find the free space on,
                     or press [Key: Esc] if you do not want to check the free
                     space on any disk at this time.


                     Once you choose the drive to see the free space on, the
                     information will be displayed.  Press any key to leave
                     once you have viewed the information.


                                                                Advanced Topics
                                                                     Chapter 11










Introduction         The following sections discuss advanced features of Quick
                     Menus.  It is assumed if you are going to use these
                     features that you have a solid working of DOS, file and
                     directory structures, etc.

Custom               Quick Menus gives you the ability to define custom help
Help Screens         screens that will be displayed when [Key: F1] is pressed.
                     The information for this help screen must be stored in a
                     file with the same letter as the menu it is attached to,
                     with an extension of ".HLP".  The file must reside in the
                     Quick Menus directory, where ever it may be.  For example,
                     to make a custom help screen for the main menu, create a
                     file named "0.HLP".  For a sub-menu assigned to the letter
                     U, create a file named "U.HLP".

                     The format of the help file that you create is a simple
                     ASCII file.  ASCII files can be created with almost any
                     editor or word processor).  The following other rules
                     apply when you are making help screens.

                     First, the first line of the file will be displayed as the
                     first line of the help screen, centered after the prefix
                     "HELP - ".

                     Second, you can make letters in the help screen be
                     displayed in colors that look like a key, as is done in
                     other Quick Menus help screens.  To do this, simply
                     surround any text you want displayed in this color with
                     the character "|".  So, to display a F1 key, you would use
                     "|F1|".

                     The final rule is that you must pay attention to the size
                     of the help screen that you are creating.  The maximum
                     line length is 48 characters, and the maximum number of
                     lines is 21.


Installation         The installation process that Quick Menus uses
Details              automatically appends the following three commands to the
                     end of your AUTOEXEC.BAT file:

                          C:
                          CD\QM
                          QM

                     (Note : The example names used above may be different, as
                     may be the drive that Quick Menus has been installed on).
                     As should be obvious, these three commands simply start
                     Quick Menus running from its directory.  You need only be
                     aware that this process takes place automatically, for the
                     sake of ease of installation.

Leaving &            When Quick Menus is installed, it creates a batch file
Entering             that is automatically stored in the root directory of the
                     drive in which you install Quick Menus.  This batch file
                     is named MENU.BAT.  Its purpose is to allow you to easily
                     re-enter Quick Menus once you have exited.

                     The only restriction on this feature is that there must be
                     "path" to the directory when this batch file exists.  See
                     your DOS manual for more information on paths.

                     In other words, assuming your path is correctly set up,
                     all you must do is type MENU and press [Key: Enter] to
                     return to Quick Menus.

Old User             If you are using the user logging feature, you may want to
Information          remove old information about what each user has done.
                     This should only be done by someone with some experience
                     with DOS.

                     The easiest way to do this is to first execute the window
                     to DOS command ([Key: Alt]-[Key: W]).  Now, you can erase
                     the files that contain the historical information
                     regarding what users have run by typing:

                          ERASE [username].QMU [Key: Enter]

                     For example: if you want to erase the past usage
                     information for a user named John, you would type ERASE
                     JOHN.QMU [Key: Enter].  If you want to erase the past
                     usage information for everyone, type ERASE .QMU
                     [Key: Enter].

